%define mainrel 1
%define snapshot 20141028
%define snaprel 1

Name:           bear
Version:        0.7.0
Release:        %mkrel %{mainrel}.%{snapshot}.%{snaprel}
Epoch:          1
Summary:        Game engine and editors dedicated to creating great 2D games
Group:          Development/C++
License:        GPLv3+ and CC-BY-SA 3.0
URL:            https://github.com/j-jorge/bear
Source0:        %{name}-%{version}.tar.xz

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  docbook-to-man
BuildRequires:  gettext
BuildRequires:  libclaw-devel
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  wxgtk2.8-devel

%description
The Bear engine is a set of C++ libraries and tools dedicated to creating
great 2D games. It has been used to create Plee the Bear (plee-the-bear),
Andy's Super Great Park (andy-super-great-park) and Tunnel (non packaged).

The engine comes with a set of tools, namely the Bear Factory, intended to
help creating resources for the game. These tools include a level editor,
a character/model editor and an animation editor.

#----------------------------------------------------------------------

%package engine
Summary:        Runtime libraries for games based on the Bear engine
Group:          System/Libraries

%description engine
The Bear engine is a set of C++ libraries and tools dedicated to creating
great 2D games. It has been used to create Plee the Bear (plee-the-bear),
Andy's Super Great Park (andy-super-great-park) and Tunnel (non packaged).

This package contains the runtime libraries used by the games based on
the Bear engine.

%files engine -f %{name}-engine.lang
%doc README.md LICENSE
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/lib%{name}*.so
%exclude %{_libdir}/%{name}/lib%{name}-editor.so
%{_datadir}/cmake/%{name}-engine/
%{_mandir}/man6/running-%{name}.6*
%{_sysconfdir}/ld.so.conf.d/%{name}-engine-%{_arch}.conf

#----------------------------------------------------------------------

%package factory
Summary:        Level, animation and model editors for the Bear engine
Group:          Games/Other
Conflicts:      bear-factory < 1.0.8-7

%description factory
This package includes the level editor, animation editor and model editor
of the Bear Engine for Plee the Bear & Andy's Super Great Park.

%files factory -f %{name}-factory.lang
%{_bindir}/bend-image
%{_bindir}/bf*editor
%{_libdir}/%{name}/lib%{name}-editor.so
%dir %{_datadir}/%{name}-factory/
%{_datadir}/%{name}-factory/images/
%{_datadir}/%{name}-factory/item-description/
%{_datadir}/applications/bf*editor.desktop
%{_datadir}/applications/desc2img.desktop
%{_iconsdir}/hicolor/*/apps/%{name}-factory.png
%{_mandir}/man1/bf*editor.1*
%{_sysconfdir}/ld.so.conf.d/%{name}-factory-%{_arch}.conf

#----------------------------------------------------------------------

%prep
%setup -q

%build
%cmake -DBEAR_ENGINE_INSTALL_LIBRARY_DIR=%{_lib}/%{name} \
       -DBEAR_FACTORY_INSTALL_LIBRARY_DIR=%{_lib}/%{name} \
       -DBEAR_USES_FREEDESKTOP=ON \
       -DBEAR_EDITORS_ENABLED=ON
%make

%install
%makeinstall_std -C build

%find_lang %{name}-engine
%find_lang %{name}-factory

install -d %{buildroot}%{_sysconfdir}/ld.so.conf.d
cat << EOF > %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}-engine-%{_arch}.conf
%{_libdir}/%{name}
EOF
cat << EOF > %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}-factory-%{_arch}.conf
%{_libdir}/%{name}
EOF

rm -rf %{buildroot}%{_datadir}/pixmaps


%changelog
* Fri Mar 13 2015 akien <akien> 1:0.7.0-1.20141028.1.mga5
+ Revision: 818479
- imported package bear

